<?php
/*
 *       _____ _____ _____                _       _
 *      |_   _/  __ \_   _|              (_)     | |
 *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
 *        | | ||      | | / __|/ _ \ / __| |/ _` | |
 *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
 *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
 *
 * This source code is part of online courses at IT social
 * network WWW.ICT.SOCIAL
 *
 * Feel free to use it for whatever you want, modify it and share it but
 * don't forget to keep this link in code.
 *
 * For more information visit http://www.ict.social/licences
 */
session_start();
require('Db.php');
Db::connect('127.0.0.1', 'noocms_db', 'root', '');

if (isset($_GET['remove']) && !empty($_SESSION['user_admin']))
{
	Db::query('
		DELETE FROM article
		WHERE article_id=?
	', $_GET['remove']);
	header('Location: articles.php');
	exit();
}

$articles = Db::queryAll('
	SELECT *
	FROM article
	ORDER BY article_id DESC
');
?>

<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8" />
	<link rel="shortcut icon" href="images/icon.ico" />
	<link rel="stylesheet" href="style.css" type="text/css" />
	<title>Article list</title>
</head>

<body>
	<header>
		<div id="logo"><h1>HoBi</h1></div>
		<nav>
			<ul>
				<li><a href="index.php?article=home">Home</a></li>
				<li><a href="articles.php">Articles</a></li>
				<li><a href="index.php?article=contact">Contact</a></li>
			</ul>
		</nav>
	</header>

	<article>
		<div id="centerer">
			<header>
				<h1>Article list</h1>
			</header>

			<section>
				<table>
				<?php
					foreach ($articles as $article)
					{
						echo('<tr><td><h2>
								<a href="index.php?article=' . htmlspecialchars($article['url']) . '">
								' . htmlspecialchars($article['title']) . '</a>
							</h2>' . htmlspecialchars($article['description']));
							if (!empty($_SESSION['user_admin']))
								echo(' <a href="editor.php?url=' . htmlspecialchars($article['url']) . '">Edit</a>
									   <a href="articles.php?remove=' . htmlspecialchars($article['article_id']) . '">Remove</a>
								');
						echo('</td></tr>');
					}
				?>
				</table>
			</section>
			<div class="clear"></div>
		</div>
	</article>

	<footer>
		Created by &copy;HoBi for <a href="http://ict.social">ICT.SOCIAL</a>
		<a href="administration.php">Administration</a>
	</footer>
	</body>
</html>
