<?php

/*
 *       _____ _____ _____                _       _
 *      |_   _/  __ \_   _|              (_)     | |
 *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
 *        | | ||      | | / __|/ _ \ / __| |/ _` | |
 *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
 *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
 *
 * This source code is part of online courses at IT social
 * network WWW.ICT.SOCIAL
 *
 * Feel free to use it for whatever you want, modify it and share it but
 * don't forget to keep this link in code.
 *
 * For more information visit http://www.ict.social/licences
 */


session_start();
if (empty($_SESSION['user_admin']))
	die('Access denied');

require('Db.php');
Db::connect('127.0.0.1', 'noocms_db', 'root', '');

$article = array(
	'article_id' => '',
	'title' => '',
	'content' => '',
	'url' => '',
	'description' => '',
);
if ($_POST)
{
	if (!$_POST['article_id'])
	{
		Db::query('
			INSERT INTO article (title, content, url, description)
			VALUES (?, ?, ?, ?)
		', $_POST['title'], $_POST['content'], $_POST['url'], $_POST['description']);
	}
	else
	{
		Db::query('
			UPDATE article
			SET title=?, content=?, url=?, description=?
			WHERE article_id=?
		', $_POST['title'], $_POST['content'], $_POST['url'], $_POST['description'], $_POST['article_id']);
	}
	header('Location: index.php?article=' . $_POST['url']);
	exit();
}
else if (isset($_GET['url']))
{
	$loadedArticle = Db::queryOne('
		SELECT *
		FROM article
		WHERE url=?
	', $_GET['url']);
	if ($loadedArticle)
		$article = $loadedArticle;
	else
		$message = 'Article was not found';
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="style.css" type="text/css" />
	<title>Article editor</title>
</head>

<body>
	<article>
		<div id="centerer">
			<header>
				<h1>Article editor</h1>
			</header>
			<section>
				<?php
				if (isset($notice))
					echo('<p>' . $notice . '</p>');
				?>

				<form method="post">
					<input type="hidden" name="article_id" value="<?= htmlspecialchars($article['article_id']) ?>" /><br />
					title<br />
					<input type="text" name="title" value="<?= htmlspecialchars($article['title']) ?>" /><br />
					URL<br />
					<input type="text" name="url" value="<?= htmlspecialchars($article['url']) ?>" /><br />
					Description<br />
					<input type="text" name="description" value="<?= htmlspecialchars($article['description']) ?>" /><br />					
					<textarea name="content"><?= htmlspecialchars($article['content']) ?></textarea>
					<input type="submit" value="Submit" />
				</form>
			</section>
			<div class="clear"></div>
		</div>
	</article>
	<script type="text/javascript" src="//cdn.tinymce.com/4/tinymce.min.js"></script>
	<script type="text/javascript">
		tinymce.init({
			selector: "textarea[name=content]",
			plugins: [
				"advlist autolink lists link image charmap print preview anchor",
				"searchreplace visualblocks code fullscreen",
				"insertdatetime media table contextmenu paste"
			],
			toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
			entities: "160,nbsp",
			entity_encoding: "named",
			entity_encoding: "raw"
		});
	</script>
</body>
</html>
