<?php

/*
 *       _____ _____ _____                _       _
 *      |_   _/  __ \_   _|              (_)     | |
 *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
 *        | | ||      | | / __|/ _ \ / __| |/ _` | |
 *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
 *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
 *
 * This source code is part of online courses at IT social
 * network WWW.ICT.SOCIAL
 *
 * Feel free to use it for whatever you want, modify it and share it but
 * don't forget to keep this link in code.
 *
 * For more information visit http://www.ict.social/licences
 */


require('Db.php');
Db::connect('127.0.0.1', 'noocms_db', 'root', '');

if (isset($_GET['article']))
	$url = $_GET['article'];
else
	$url = 'home';

$article = Db::queryOne('
	SELECT *
	FROM article
	WHERE url=?
', $url);
if (!$article)
{
	if ($url != 'error')
	{
		header('Location: index.php?article=error');
		exit();
	}
	else
		die('Requested article was not found');
}

?>
<!DOCTYPE html>
<html lang="en">

	<head>
		<meta charset="utf-8" />
		<meta name="description" content="<?= htmlspecialchars($article['description']) ?>" />		
		<link rel="shortcut icon" href="images/icon.ico" />
		<link rel="stylesheet" href="style.css" type="text/css" />
		<title><?= htmlspecialchars($article['title']) ?></title>
	</head>

	<body>
		<header>
			<div id="logo"><h1>HoBi</h1></div>
			<nav>
				<ul>
					<li><a href="index.php?article=home">Home</a></li>
					<li><a href="articles.php">Articles</a></li>
					<li><a href="index.php?article=contact">Contact</a></li>
				</ul>
			</nav>
		</header>
	
		<article>
			<div id="centerer">
				<header>	
					<h1><?= htmlspecialchars($article['title']) ?></h1>
				</header>
			
				<section>
					<?= $article['content'] ?>
				</section>
				<div class="clear"></div>
			</div>
		</article>
		
		<footer>		
			Created by &copy;HoBi for <a href="http://ict.social">ICT.SOCIAL</a>
			<a href="administration.php">Administration</a>
		</footer>
	</body>
</html>
